? bad_comments
Index: channel.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channel.c,v
retrieving revision 1.165
diff -u -r1.165 channel.c
--- channel.c	13 Jan 2005 03:31:58 -0000	1.165
+++ channel.c	15 Jan 2005 05:14:02 -0000
@@ -1221,7 +1221,7 @@
 			ast_frfree(f);
 		}
 	}
-	return 0; // Time is up
+	return 0;  /* Time is up */
 }
 
 struct ast_frame *ast_read(struct ast_channel *chan)
Index: say.c
===================================================================
RCS file: /usr/cvsroot/asterisk/say.c,v
retrieving revision 1.47
diff -u -r1.47 say.c
--- say.c	22 Dec 2004 00:08:53 -0000	1.47
+++ say.c	15 Jan 2005 05:14:18 -0000
@@ -4967,7 +4967,9 @@
 	int res;
 	char fn[256] = "";
 
-	//ast_log(LOG_DEBUG, "\n\n Saying number female %s %d \n\n",lang, num);
+	/*--------------------------------------------------
+	* ast_log(LOG_DEBUG, "\n\n Saying number female %s %d \n\n",lang, num);
+	*--------------------------------------------------*/
 	if (num < 5) {
 		snprintf(fn, sizeof(fn), "digits/female-%d", num);
 		res = wait_file(chan, ints, fn, lang);
Index: channels/alaw.h
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/alaw.h,v
retrieving revision 1.2
diff -u -r1.2 alaw.h
--- channels/alaw.h	27 Apr 2003 21:34:27 -0000	1.2
+++ channels/alaw.h	15 Jan 2005 05:14:43 -0000
@@ -21,7 +21,7 @@
 #define INT2ALAW(x) int2alaw[(x>>4)+4096]         
 
 
-// table to convert unsigned a-law bytes to signed linear integers
+/* table to convert unsigned a-law bytes to signed linear integers */
 
 static const int alaw2int[256] = {
   -5504,5504,-344,344,-22016,22016,-1376,1376,-2752,2752,-88,88,-11008,11008,
@@ -46,9 +46,9 @@
 };
 
 
-// table to convert linear shorts to a-law bytes
-// shift the integer to be 12+1 bit first, then add 4096 to get 
-// the right index 
+/* table to convert linear shorts to a-law bytes
+shift the integer to be 12+1 bit first, then add 4096 to get 
+the right index  */
 
 static const unsigned char int2alaw[8192] = {
   84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,
Index: channels/chan_phone.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_phone.c,v
retrieving revision 1.40
diff -u -r1.40 chan_phone.c
--- channels/chan_phone.c	1 Jan 2005 23:58:57 -0000	1.40
+++ channels/chan_phone.c	15 Jan 2005 05:14:59 -0000
@@ -157,7 +157,7 @@
 	case '#':
 		outdigit = 12;
 		break;
-	case 'f':	//flash
+	case 'f':	/* flash */
 	case 'F':
 		ioctl(p->fd, IXJCTL_PSTN_SET_STATE, PSTN_ON_HOOK);
 		usleep(320000);
@@ -337,7 +337,9 @@
 		ast_log(LOG_WARNING, "Failed to start recording\n");
 		return -1;
 	}
-	//set the DTMF times (the default is too short)
+	/*--------------------------------------------------
+	* set the DTMF times (the default is too short)
+	*--------------------------------------------------*/
 	ioctl(p->fd, PHONE_SET_TONE_ON_TIME, 300);
 	ioctl(p->fd, PHONE_SET_TONE_OFF_TIME, 200);
 	return 0;
Index: channels/ixjuser.h
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/ixjuser.h,v
retrieving revision 1.16
diff -u -r1.16 ixjuser.h
--- channels/ixjuser.h	12 Feb 2003 13:59:14 -0000	1.16
+++ channels/ixjuser.h	15 Jan 2005 05:15:18 -0000
@@ -129,16 +129,16 @@
 ******************************************************************************/
 static char ixjuser_h_rcsid[] = "$Id: ixjuser.h,v 1.16 2003/02/12 13:59:14 matteo Exp $";
 
-#define IXJCTL_DSP_RESET 		_IO  ('q', 0x80)
-#define IXJCTL_RING                     _IO  ('q', 0x82)
-#define IXJCTL_HOOKSTATE                _IO  ('q', 0x83)
+#define IXJCTL_DSP_RESET		_IO  ('q', 0x80)
+#define IXJCTL_RING				_IO  ('q', 0x82)
+#define IXJCTL_HOOKSTATE		_IO  ('q', 0x83)
 #define IXJCTL_MAXRINGS			_IOW ('q', 0x84, char)
-#define IXJCTL_RING_CADENCE		_IOW ('q', 0x85, short)
+#define IXJCTL_RING_CADENCE	_IOW ('q', 0x85, short)
 #define IXJCTL_RING_START		_IO  ('q', 0x86)
 #define IXJCTL_RING_STOP		_IO  ('q', 0x87)
 #define IXJCTL_CARDTYPE			_IOR ('q', 0x88, int)
-#define IXJCTL_DSP_TYPE                 _IOR ('q', 0x8C, int)
-#define IXJCTL_DSP_VERSION              _IOR ('q', 0x8D, int)
+#define IXJCTL_DSP_TYPE			_IOR ('q', 0x8C, int)
+#define IXJCTL_DSP_VERSION		_IOR ('q', 0x8D, int)
 #define IXJCTL_DSP_IDLE			_IO  ('q', 0x8E)
 #define IXJCTL_TESTRAM			_IO  ('q', 0x8F)
 
@@ -170,11 +170,11 @@
 * the most recently recorded frame as a 16 bit value.
 ******************************************************************************/
 
-#define IXJCTL_REC_CODEC                _IOW ('q', 0x90, int)
-#define IXJCTL_REC_START                _IO  ('q', 0x92)
-#define IXJCTL_REC_STOP                 _IO  ('q', 0x93)
+#define IXJCTL_REC_CODEC		_IOW ('q', 0x90, int)
+#define IXJCTL_REC_START		_IO  ('q', 0x92)
+#define IXJCTL_REC_STOP			_IO  ('q', 0x93)
 #define IXJCTL_REC_DEPTH		_IOW ('q', 0x94, int)
-#define IXJCTL_FRAME			_IOW ('q', 0x95, int)
+#define IXJCTL_FRAME				_IOW ('q', 0x95, int)
 #define IXJCTL_REC_VOLUME		_IOW ('q', 0x96, int)
 #define IXJCTL_REC_LEVEL		_IO  ('q', 0x97)
 
@@ -197,8 +197,8 @@
   char enable;
 }IXJ_FILTER;
 
-#define IXJCTL_SET_FILTER		_IOW ('q', 0x98, IXJ_FILTER *)
-#define IXJCTL_GET_FILTER_HIST		_IOW ('q', 0x9B, int)
+#define IXJCTL_SET_FILTER			_IOW ('q', 0x98, IXJ_FILTER *)
+#define IXJCTL_GET_FILTER_HIST	_IOW ('q', 0x9B, int)
 /******************************************************************************
 *
 * This IOCTL allows you to reassign values in the tone index table.  The
@@ -412,16 +412,16 @@
   IXJ_CADENCE_ELEMENT *ce;
 }IXJ_CADENCE;
 
-#define IXJCTL_TONE_CADENCE			_IOW ('q', 0x9A, IXJ_CADENCE *)
+#define IXJCTL_TONE_CADENCE	_IOW ('q', 0x9A, IXJ_CADENCE *)
 /******************************************************************************
 *
 * This group of IOCTLs deal with the playback settings of the DSP
 *
 ******************************************************************************/
 
-#define IXJCTL_PLAY_CODEC               _IOW ('q', 0xA0, int)
-#define IXJCTL_PLAY_START               _IO  ('q', 0xA2)
-#define IXJCTL_PLAY_STOP                _IO  ('q', 0xA3)
+#define IXJCTL_PLAY_CODEC		_IOW ('q', 0xA0, int)
+#define IXJCTL_PLAY_START		_IO  ('q', 0xA2)
+#define IXJCTL_PLAY_STOP		_IO  ('q', 0xA3)
 #define IXJCTL_PLAY_DEPTH		_IOW ('q', 0xA4, int)
 #define IXJCTL_PLAY_VOLUME		_IOW ('q', 0xA5, int)
 #define IXJCTL_PLAY_LEVEL		_IO  ('q', 0xA6)
@@ -451,24 +451,26 @@
 * the default values of tone on and off times is 840 or 210ms
 ******************************************************************************/
 
-#define IXJCTL_DTMF_READY		_IOR ('q', 0xC0, int)
-#define IXJCTL_GET_DTMF                 _IOR ('q', 0xC1, int)
-#define IXJCTL_GET_DTMF_ASCII           _IOR ('q', 0xC2, int)
-#define IXJCTL_EXCEPTION		_IOR ('q', 0xC4, int)
-#define IXJCTL_PLAY_TONE		_IOW ('q', 0xC6, char)
-#define IXJCTL_SET_TONE_ON_TIME		_IOW ('q', 0xC7, int)
+#define IXJCTL_DTMF_READY			_IOR ('q', 0xC0, int)
+#define IXJCTL_GET_DTMF				_IOR ('q', 0xC1, int)
+#define IXJCTL_GET_DTMF_ASCII		_IOR ('q', 0xC2, int)
+#define IXJCTL_EXCEPTION			_IOR ('q', 0xC4, int)
+#define IXJCTL_PLAY_TONE			_IOW ('q', 0xC6, char)
+#define IXJCTL_SET_TONE_ON_TIME	_IOW ('q', 0xC7, int)
 #define IXJCTL_SET_TONE_OFF_TIME	_IOW ('q', 0xC8, int)
-#define IXJCTL_GET_TONE_ON_TIME		_IO  ('q', 0xC9)
+#define IXJCTL_GET_TONE_ON_TIME	_IO  ('q', 0xC9)
 #define IXJCTL_GET_TONE_OFF_TIME	_IO  ('q', 0xCA)
 #define IXJCTL_GET_TONE_STATE		_IO  ('q', 0xCB)
-#define IXJCTL_BUSY			_IO  ('q', 0xCC)
-#define IXJCTL_RINGBACK			_IO  ('q', 0xCD)
-#define IXJCTL_DIALTONE			_IO  ('q', 0xCE)
-
-// This IOCTL replaced both IXJCTL_BUSY_STOP and IXJCTL_RINGBACK_STOP and
-// should be used from now on to stop all Call Progress Tones.  It will
-// actually abort any tone, regardless of time left in the tone_on_time
-// and tone_off_time counters.
+#define IXJCTL_BUSY					_IO  ('q', 0xCC)
+#define IXJCTL_RINGBACK				_IO  ('q', 0xCD)
+#define IXJCTL_DIALTONE				_IO  ('q', 0xCE)
+
+/*--------------------------------------------------
+* This IOCTL replaced both IXJCTL_BUSY_STOP and IXJCTL_RINGBACK_STOP and
+* should be used from now on to stop all Call Progress Tones.  It will
+* actually abort any tone, regardless of time left in the tone_on_time
+* and tone_off_time counters.
+*-------------------------------------------------- */
 #define IXJCTL_CPT_STOP			_IO  ('q', 0xCF)
 
 /******************************************************************************
@@ -478,7 +480,7 @@
 * LED's on the LineJack
 ******************************************************************************/
 
-#define IXJCTL_SET_LED			_IOW ('q', 0xD0, int)
+#define IXJCTL_SET_LED		_IOW ('q', 0xD0, int)
 #define IXJCTL_MIXER			_IOW ('q', 0xD1, int)
 
 /******************************************************************************
@@ -488,8 +490,8 @@
 * as the parameter to the mixer command to change the mixer settings.
 * 
 ******************************************************************************/
-#define MIXER_MASTER_L		0x0100
-#define MIXER_MASTER_R		0x0200
+#define MIXER_MASTER_L	0x0100
+#define MIXER_MASTER_R	0x0200
 #define ATT00DB			0x00
 #define ATT02DB			0x01
 #define ATT04DB			0x02
@@ -531,12 +533,12 @@
 * as the parameter to the mixer command to change the mixer settings.
 * 
 ******************************************************************************/
-#define MIXER_PORT_CD_L		0x0600
-#define MIXER_PORT_CD_R		0x0700
+#define MIXER_PORT_CD_L			0x0600
+#define MIXER_PORT_CD_R			0x0700
 #define MIXER_PORT_LINE_IN_L	0x0800
 #define MIXER_PORT_LINE_IN_R	0x0900
 #define MIXER_PORT_POTS_REC	0x0C00
-#define MIXER_PORT_MIC		0x0E00
+#define MIXER_PORT_MIC			0x0E00
 
 #define GAIN12DB		0x00
 #define GAIN10DB		0x01
@@ -570,7 +572,7 @@
 #define GAIN_46DB		0x1D
 #define GAIN_48DB		0x1E
 #define GAIN_50DB		0x1F
-#define INPUT_MUTE		0x80
+#define INPUT_MUTE	0x80
 
 /******************************************************************************
 * 
@@ -589,7 +591,7 @@
 #define POTS_ATT_20DB		0x05
 #define POTS_ATT_24DB		0x06
 #define POTS_ATT_28DB		0x07
-#define POTS_MUTE		0x80
+#define POTS_MUTE				0x80
 
 /******************************************************************************
 * 
@@ -600,12 +602,12 @@
 ******************************************************************************/
 #define IXJCTL_DAA_COEFF_SET		_IOW ('q', 0xD2, int)
 
-#define DAA_US 		1  //PITA 8kHz
-#define DAA_UK 		2  //ISAR34 8kHz
-#define DAA_FRANCE 	3  //
-#define DAA_GERMANY	4
+#define DAA_US				1  /* PITA 8kHz */
+#define DAA_UK				2  /* ISAR34 8kHz */
+#define DAA_FRANCE	 	3  
+#define DAA_GERMANY		4
 #define DAA_AUSTRALIA	5
-#define DAA_JAPAN	6
+#define DAA_JAPAN			6
 
 /******************************************************************************
 * 
@@ -618,16 +620,16 @@
 #define IXJCTL_PORT			_IOW ('q', 0xD3, int)
 
 #define PORT_QUERY	0
-#define PORT_POTS	1
-#define PORT_PSTN	2
+#define PORT_POTS		1
+#define PORT_PSTN		2
 #define PORT_SPEAKER	3
 #define PORT_HANDSET	4
 
 #define IXJCTL_PSTN_SET_STATE		_IOW ('q', 0xD4, int)
 #define IXJCTL_PSTN_GET_STATE		_IO  ('q', 0xD5)
 
-#define PSTN_ON_HOOK	0
-#define PSTN_RINGING	1
+#define PSTN_ON_HOOK		0
+#define PSTN_RINGING		1
 #define PSTN_OFF_HOOK	2
 #define PSTN_PULSE_DIAL	3
 
@@ -640,14 +642,14 @@
 ******************************************************************************/
 #define IXJCTL_DAA_AGAIN		_IOW ('q', 0xD6, int)
 
-#define AGRR00DB	0x00  // Analog gain in recieve direction 0dB
-#define AGRR3_5DB	0x10  // Analog gain in recieve direction 3.5dB
-#define AGRR06DB	0x30  // Analog gain in recieve direction 6dB
-
-#define AGX00DB		0x00  // Analog gain in transmit direction 0dB
-#define AGX_6DB		0x04  // Analog gain in transmit direction -6dB
-#define AGX3_5DB	0x08  // Analog gain in transmit direction 3.5dB
-#define AGX_2_5B	0x0C  // Analog gain in transmit direction -2.5dB
+#define AGRR00DB	0x00  /* Analog gain in recieve direction 0dB */
+#define AGRR3_5DB	0x10  /* Analog gain in recieve direction 3.5dB */
+#define AGRR06DB	0x30  /* Analog gain in recieve direction 6dB */
+
+#define AGX00DB	0x00  /* Analog gain in transmit direction 0dB */
+#define AGX_6DB	0x04  /* Analog gain in transmit direction -6dB */
+#define AGX3_5DB	0x08  /* Analog gain in transmit direction 3.5dB */
+#define AGX_2_5B	0x0C  /* Analog gain in transmit direction -2.5dB */
 
 #define IXJCTL_PSTN_LINETEST		_IO  ('q', 0xD7)
 
@@ -706,14 +708,14 @@
 *
 ******************************************************************************/
 
-#define IXJCTL_HZ                       _IOW ('q', 0xE0, int)
-#define IXJCTL_RATE                     _IOW ('q', 0xE1, int)
-#define IXJCTL_FRAMES_READ		_IOR ('q', 0xE2, unsigned long)
+#define IXJCTL_HZ						_IOW ('q', 0xE0, int)
+#define IXJCTL_RATE					_IOW ('q', 0xE1, int)
+#define IXJCTL_FRAMES_READ			_IOR ('q', 0xE2, unsigned long)
 #define IXJCTL_FRAMES_WRITTEN		_IOR ('q', 0xE3, unsigned long)
-#define IXJCTL_READ_WAIT		_IOR ('q', 0xE4, unsigned long)
-#define IXJCTL_WRITE_WAIT		_IOR ('q', 0xE5, unsigned long)
+#define IXJCTL_READ_WAIT			_IOR ('q', 0xE4, unsigned long)
+#define IXJCTL_WRITE_WAIT			_IOR ('q', 0xE5, unsigned long)
 #define IXJCTL_DRYBUFFER_READ		_IOR ('q', 0xE6, unsigned long)
-#define IXJCTL_DRYBUFFER_CLEAR		_IO  ('q', 0xE7)
+#define IXJCTL_DRYBUFFER_CLEAR	_IO  ('q', 0xE7)
 
 /******************************************************************************
 *
@@ -738,19 +740,19 @@
 * concatenate multiple 10ms frames.
 *
 ******************************************************************************/
-typedef enum{		// Bytes per 30ms audio frame
-G723_63	=	1,	// 24
-G723_53	=	2, 	// 20
-TS85	=	3,	// 32 Does not currently work on LineJack
-TS48	=	4,	// 18
-TS41	=	5,	// 16
-G728	=	6,	// 96 LineJack only!
-G729	=	7,	// 30 LineJack only!
-ULAW	=	8,	// 240
-ALAW	=	9,	// 240 not implemented DO NOT USE!
-LINEAR16=	10,	// 480
-LINEAR8	=	11,	// 240
-WSS	=	12	// 240
+typedef enum{		/* Bytes per 30ms audio frame */
+G723_63	=	1,		/* 24 */
+G723_53	=	2, 	/* 20 */
+TS85	=	3,			/* 32 Does not currently work on LineJack */
+TS48	=	4,			/* 18 */
+TS41	=	5,			/* 16 */
+G728	=	6,			/* 96 LineJack only! */
+G729	=	7,			/* 30 LineJack only! */
+ULAW	=	8,			/* 240 */
+ALAW	=	9,			/* 240 not implemented DO NOT USE! */
+LINEAR16=	10,	/* 480 */
+LINEAR8	=	11,	/* 240 */
+WSS	=	12			/* 240 */
 }IXJ_CODEC;
 /******************************************************************************
 *
@@ -763,8 +765,8 @@
 *
 ******************************************************************************/
 
-#define IXJCTL_INTERCOM_START 		_IOW ('q', 0xFD, int)
-#define IXJCTL_INTERCOM_STOP  		_IOW ('q', 0xFE, int) 
+#define IXJCTL_INTERCOM_START		_IOW ('q', 0xFD, int)
+#define IXJCTL_INTERCOM_STOP		_IOW ('q', 0xFE, int) 
 
 /******************************************************************************
 *
@@ -781,15 +783,15 @@
 *
 ******************************************************************************/
 
-#define SYNC_MODE_CODEC         0
-#define SYNC_MODE_DATA          1
-#define SYNC_MODE_POLL          2
-#define SYNC_MODE_HOST          3
+#define SYNC_MODE_CODEC		0
+#define SYNC_MODE_DATA		1
+#define SYNC_MODE_POLL		2
+#define SYNC_MODE_HOST		3
 
-#define RECORD_SYNC_MODE        0x5100
-#define PLAYBACK_SYNC_MODE      0x5200
+#define RECORD_SYNC_MODE		0x5100
+#define PLAYBACK_SYNC_MODE		0x5200
 
-#define USA_RING_CADENCE	0xC0C0
+#define USA_RING_CADENCE		0xC0C0
 
 /******************************************************************************
 *
Index: db1-ast/hash/hash_func.c
===================================================================
RCS file: /usr/cvsroot/asterisk/db1-ast/hash/hash_func.c,v
retrieving revision 1.2
diff -u -r1.2 hash_func.c
--- db1-ast/hash/hash_func.c	19 Sep 2003 01:20:23 -0000	1.2
+++ db1-ast/hash/hash_func.c	15 Jan 2005 05:15:44 -0000
@@ -46,9 +46,9 @@
 #include "extern.h"
 
 /* only one of these can be defined */
-//#define HASH1_EJB 1
-//#define HASH2_PHONG 1
-//#define HASH3_SDBM 1
+/* #define HASH1_EJB 1 */
+/* #define HASH2_PHONG 1 */
+/* #define HASH3_SDBM 1 */
 #define HASH4_TOREK 1
 
 static u_int32_t hashfunc __P((const void *, size_t));
Index: formats/msgsm.h
===================================================================
RCS file: /usr/cvsroot/asterisk/formats/msgsm.h,v
retrieving revision 1.2
diff -u -r1.2 msgsm.h
--- formats/msgsm.h	7 Mar 2003 06:00:13 -0000	1.2
+++ formats/msgsm.h	15 Jan 2005 05:16:00 -0000
@@ -229,11 +229,11 @@
     sr = sr >> 4;
     *c = sr >> 8;
     frame_chain = *c;
-    readGSM_33(d+33);// puts all the parameters into LARc etc.
+    readGSM_33(d+33); /* puts all the parameters into LARc etc. */
 
 
     sr = 0;
-//                      sr = (sr >> 4 )|( s->frame_chain << 12);
+/*                      sr = (sr >> 4 )|( s->frame_chain << 12); */
     sr = (sr >> 4 )|( frame_chain << 12);
 
     sr = (sr >> 6 )|( LARc[0] << 10);
@@ -570,7 +570,7 @@
                         frame_chain = sr & 0xf;
 
 
-                        writeGSM_33(d);// LARc etc. -> array of 33 GSM bytes
+                        writeGSM_33(d); /* LARc etc. -> array of 33 GSM bytes */
 
 
                         sr = frame_chain;
Index: include/asterisk/acl.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/acl.h,v
retrieving revision 1.8
diff -u -r1.8 acl.h
--- include/asterisk/acl.h	11 Jan 2005 17:08:52 -0000	1.8
+++ include/asterisk/acl.h	15 Jan 2005 05:16:00 -0000
@@ -51,7 +51,7 @@
 extern int ast_netsock_release(struct ast_netsock_list *list);
 extern int ast_netsock_sockfd(struct ast_netsock *ns);
 
-//! Compares the source address and port of two sockaddr_in
+/*! Compares the source address and port of two sockaddr_in */
 static inline int inaddrcmp(struct sockaddr_in *sin1, struct sockaddr_in *sin2)
 {
 	return ((sin1->sin_addr.s_addr != sin2->sin_addr.s_addr ) 
Index: include/asterisk/adsi.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/adsi.h,v
retrieving revision 1.5
diff -u -r1.5 adsi.h
--- include/asterisk/adsi.h	30 Aug 2004 05:27:51 -0000	1.5
+++ include/asterisk/adsi.h	15 Jan 2005 05:16:00 -0000
@@ -110,8 +110,8 @@
 #define ADSI_DIR_FROM_LEFT (0)
 #define ADSI_DIR_FROM_RIGHT (1)
 
-//! Perform Asterisk ADSI initialization (for channel drivers that want
-//   to support ADSI when the handset is first lifted) */
+/*! Perform Asterisk ADSI initialization (for channel drivers that want */
+/*   to support ADSI when the handset is first lifted) */
 /*! 
  * \param chan Channel to initialize for ADSI (if supported)
  * 
@@ -124,9 +124,9 @@
 
 extern int adsi_end_download(struct ast_channel *chan);
 
-//! Restore ADSI initialization (for applications that play with ADSI
-//  and want to restore it to normal.  If you touch "INFO" then you
-//  have to use the adsi_channel_init again instead.
+/*! Restore ADSI initialization (for applications that play with ADSI */
+/*  and want to restore it to normal.  If you touch "INFO" then you */
+/*  have to use the adsi_channel_init again instead. */
 /*!
  * \param chan Channel to restore
  * 
@@ -135,7 +135,7 @@
  */
 extern int adsi_channel_restore(struct ast_channel *chan);
 
-//! Display some stuff on the screen
+/*! Display some stuff on the screen */
 /*!
  * \param chan Channel to display on
  * \param lines NULL-terminated list of things to print (no more than 4 recommended)
@@ -147,8 +147,8 @@
  */
 extern int adsi_print(struct ast_channel *chan, char **lines, int *align, int voice);
 
-//! Check if scripts for a given app are already loaded.  Version may be -1
-//  if any version is okay, or 0-255 for a specific version.
+/*! Check if scripts for a given app are already loaded.  Version may be -1
+  if any version is okay, or 0-255 for a specific version. */
 /*!
  * \param chan Channel to test for loaded app
  * \param app Four character app name (must be unique to your application)
@@ -165,7 +165,7 @@
 extern int adsi_transmit_messages(struct ast_channel *chan, unsigned char **msg, int *msglen, int *msgtype);
 extern int adsi_transmit_message(struct ast_channel *chan, unsigned char *msg, int msglen, int msgtype);
 
-//! Read some encoded DTMF data.  
+/*! Read some encoded DTMF data.    */
 /*!
  * Returns number of bytes received
  */
@@ -173,7 +173,7 @@
 
 /* ADSI Layer 3 creation functions */
 
-//! Connects an ADSI Display Session */
+/*! Connects an ADSI Display Session */
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  * \param fdn Optional 4 byte Feature Download Number (for loading soft keys)
@@ -185,14 +185,14 @@
 
 extern int adsi_connect_session(unsigned char *buf, unsigned char *fdn, int ver);
 
-//! Build Query CPE ID of equipment */
+/*! Build Query CPE ID of equipment */
 /*!
  *  Returns number of bytes added to message
  */
 extern int adsi_query_cpeid(unsigned char *buf);
 extern int adsi_query_cpeinfo(unsigned char *buf);
 
-//! Get CPE ID from an attached ADSI compatible CPE.
+/*! Get CPE ID from an attached ADSI compatible CPE. */
 /*!
  * Returns 1 on success, storing 4 bytes of CPE ID at buf
  * or -1 on hangup, or 0 if there was no hangup but it failed to find the
@@ -202,7 +202,7 @@
 
 extern int adsi_get_cpeinfo(struct ast_channel *chan, int *width, int *height, int *buttons, int voice);
 
-//! Begin an ADSI script download */
+/*! Begin an ADSI script download */
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  * \param service, a 1-18 byte name of the feature
@@ -216,7 +216,7 @@
 
 extern int adsi_download_connect(unsigned char *buf, unsigned char *service, unsigned char *fdn, unsigned char *sec, int ver);
 
-//! Disconnects a running session
+/* ! Disconnects a running session */
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  *
@@ -225,7 +225,7 @@
  */
 extern int adsi_disconnect_session(unsigned char *buf);
 
-//! Disconnects (and hopefully saves) a downloaded script
+/*! Disconnects (and hopefully saves) a downloaded script */
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  *
@@ -234,7 +234,7 @@
  */
 extern int adsi_download_disconnect(unsigned char *buf);
 
-//! Puts CPE in data mode...
+/*! Puts CPE in data mode... */
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  *
@@ -245,7 +245,7 @@
 extern int adsi_clear_soft_keys(unsigned char *buf);
 extern int adsi_clear_screen(unsigned char *buf);
 
-//! Puts CPE in voice mode...
+/*! Puts CPE in voice mode... */
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  * \param when (a time in seconds) to make the switch
@@ -255,14 +255,14 @@
  */
 extern int adsi_voice_mode(unsigned char *buf, int when);
 
-//! Returns non-zero if Channel does or might support ADSI
+/*! Returns non-zero if Channel does or might support ADSI */
 /*!
  * \param chan Channel to check
  *
  */
 extern int adsi_available(struct ast_channel *chan);
 
-//! Loads a line of info into the display */
+/*! Loads a line of info into the display */ 
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  * \param page Page to load (ADSI_COMM_PAGE or ADSI_INFO_PAGE)
@@ -278,7 +278,7 @@
 
 extern int adsi_display(unsigned char *buf, int page, int line, int just, int wrap, unsigned char *col1, unsigned char *col2);
 
-//! Sets the current line and page */
+/*! Sets the current line and page */
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  * \param page Which page (ADSI_COMM_PAGE or ADSI_INFO_PAGE)
@@ -290,7 +290,7 @@
 
 extern int adsi_set_line(unsigned char *buf, int page, int line);
 
-//! Creates "load soft key" parameters
+/*! Creates "load soft key" parameters */
 /*! 
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  * \param key Key code from 2 to 33, for which key we are loading
@@ -304,7 +304,7 @@
  */
 extern int adsi_load_soft_key(unsigned char *buf, int key, unsigned char *llabel, unsigned char *slabel, unsigned char *ret, int data);
 
-//! Set which soft keys should be displayed
+/*! Set which soft keys should be displayed */
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  * \param keys Array of 8 unsigned chars with the key numbers, may be OR'd with ADSI_KEY_HILITE
@@ -315,7 +315,7 @@
  */
 extern int adsi_set_keys(unsigned char *buf, unsigned char *keys);
 
-//! Set input information
+/*! Set input information */
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  * \param page Which page to input on (ADSI_COMM_PAGE or ADSI_INFO_PAGE)
@@ -329,7 +329,7 @@
  */
 extern int adsi_input_control(unsigned char *buf, int page, int line, int display, int format, int just);
 
-//! Set input format
+/*! Set input format */
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  * \param num Which format we are setting
Index: include/asterisk/alaw.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/alaw.h,v
retrieving revision 1.1
diff -u -r1.1 alaw.h
--- include/asterisk/alaw.h	9 Dec 2001 00:41:43 -0000	1.1
+++ include/asterisk/alaw.h	15 Jan 2005 05:16:00 -0000
@@ -14,18 +14,18 @@
 #ifndef _ASTERISK_ALAW_H
 #define _ASTERISK_ALAW_H
 
-//! Init the ulaw conversion stuff
+/*! Init the ulaw conversion stuff */
 /*!
  * To init the ulaw to slinear conversion stuff, this needs to be run.
  */
 extern void ast_alaw_init(void);
 
-//! converts signed linear to mulaw
+/*! converts signed linear to mulaw */
 /*!
   */
 extern unsigned char __ast_lin2a[8192];
 
-//! help
+/*! help */
 extern short __ast_alaw[256];
 
 #define AST_LIN2A(a) (__ast_lin2a[((unsigned short)(a)) >> 3])
